Package com.microblink.blinkid.metadata.detection.points

# Enum Class PointsType

java.lang.Object
java.lang.Enum<PointsType>
com.microblink.blinkid.metadata.detection.points.PointsType

All Implemented Interfaces:
  `Serializable`, `Comparable<PointsType>`, `Constable`

public enum PointsType extends Enum<PointsType>
Represents a type of `DisplayablePointsDetection`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BARCODE_DETECTION`
  Represented points are feature points within detected barcode.
  `MRTD_DETECTION`
  Represented points are locations of Machine Readable Zone detected elements.
  `OCR_RESULT`
  Represented points are locations of characters within OCR result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PointsType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PointsType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MRTD_DETECTION

    public static final PointsType MRTD_DETECTION
    Represented points are locations of Machine Readable Zone detected elements.

  - ### OCR_RESULT

    public static final PointsType OCR_RESULT
    Represented points are locations of characters within OCR result.

  - ### BARCODE_DETECTION

    public static final PointsType BARCODE_DETECTION
    Represented points are feature points within detected barcode.

- ## Method Details

  - ### values

    public static PointsType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PointsType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null